package application

import (
	"sirlab.de/go/knyt/users"
)

type Application struct {
	config ApplicationConfig
	users  users.Users
}

func NewApplication(config ApplicationConfig) *Application {
	app := Application{
		config: config,
	}

	app.users = users.NewUsers()

	return &app
}

func (app *Application) GetConfig() *ApplicationConfig {
	return &app.config
}

func (app *Application) GetUsers() *users.Users {
	return &app.users
}
